<?php
/**
 *
 * The Header for Ono theme
 * @since 1.0.0
 * @version 1.0.0
 *
 */

if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}

global $ono_body_class;

$meta_data           = get_post_meta( $post_id, '_custom_page_options', true );
$meta_data_portfolio = get_post_meta( $post_id, 'ono_portfolio_options', true );
$meta_data_services  = get_post_meta( $post_id, 'ono_services_options', true );


$enable_footer_parallax = isset( $meta_data['enable_parallax_footer_page'] ) ? $meta_data['enable_parallax_footer_page'] : cs_get_option( 'enable_parallax_footer' );
if ( isset( $meta_data_portfolio['enable_parallax_footer_page'] ) ) {
	$enable_footer_parallax = $meta_data_portfolio['enable_parallax_footer_page'];
} elseif ( isset( $meta_data_events['enable_parallax_footer_page'] ) ) {
	$enable_footer_parallax = $meta_data_events['enable_parallax_footer_page'];
}
$enable_footer_parallax = apply_filters( 'ono_blog_footer_style', $enable_footer_parallax );
$class_main_wrapper     = $enable_footer_parallax ? ' footer-parallax' : '';

$preloader_text = cs_get_option( 'preloader_text' ) ? cs_get_option( 'preloader_text' ) : 'i';


$unitClass = ! function_exists( 'cs_framework_init' ) ? ' unit ' : '';

$class_desc_padd = ! empty( $meta_data['padding_desktop'] ) ? ' padding-desc ' : '';
$class_mob_padd  = ! empty( $meta_data['padding_mobile'] ) ? ' padding-mob ' : '';
$border          = ! empty( $meta_data['page_border'] ) ? $meta_data['page_border_color'] : '';

$mobile             = cs_get_option( 'mobile_menu' );
$ono_body_class     = isset( $mobile ) && $mobile ? ' mob-main-menu' : '';
$class_main_wrapper .= $unitClass . ' ' . $class_desc_padd . $class_mob_padd;
$mobileWidth        = isset( $mobile ) && $mobile ? '1024' : '992'; ?>

<!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>
	<?php if ( ! empty( $border ) ) { ?>style="border: 1vw solid <?php echo esc_attr( $border ); ?>"<?php } ?> >
<!-- MAIN_WRAPPER -->

<?php if ( cs_get_option( 'preloader_type' ) == 'modern_text' ) {
	$preloader_text = cs_get_option( 'preloader_text' ) ? cs_get_option( 'preloader_text' ) : 'ono'; ?>
    <div class="cs-preloader cs-preloader--modern">
        <div class="preloader-wrap">
            <svg viewBox="0 0 600 300">
                <symbol id="s-text">
                    <text text-anchor="middle" x="50%" y="50%"
                          dy="0.35em"><?php echo esc_html( $preloader_text ); ?></text>
                </symbol>
				<?php
				$color_1 = cs_get_option( 'preloader_color_1' ) ? cs_get_option( 'preloader_color_1' ) : '';
				$color_2 = cs_get_option( 'preloader_color_2' ) ? cs_get_option( 'preloader_color_2' ) : '';
				$color_3 = cs_get_option( 'preloader_color_3' ) ? cs_get_option( 'preloader_color_3' ) : '';
				if ( $color_1 ) { ?>
                    <use class="text" stroke="<?php echo esc_attr( $color_1 ); ?>" xlink:href="#s-text"></use>
				<?php }
				if ( $color_2 ) { ?>
                    <use class="text" stroke="<?php echo esc_attr( $color_2 ); ?>" xlink:href="#s-text"></use>
				<?php }
				if ( $color_3 ) { ?>
                    <use class="text" stroke="<?php echo esc_attr( $color_3 ); ?>" xlink:href="#s-text"></use>
				<?php } ?>
            </svg>
        </div>
    </div>
<?php } elseif ( cs_get_option( 'preloader_type' ) == 'spinner' ) { ?>
    <div class="cs-preloader cs-preloader--spinner">
        <div class="cs-preloader__outer">
			<?php
			$color_1 = cs_get_option( 'preloader_color_1' ) ? cs_get_option( 'preloader_color_1' ) : '#222';
			$color_2 = cs_get_option( 'preloader_color_2' ) ? cs_get_option( 'preloader_color_2' ) : '#9c99ff'; ?>
            <div class="cs-preloader__inner"
                 style="border-color: <?php echo esc_attr( $color_1 ); ?> <?php echo esc_attr( $color_1 ); ?> <?php echo esc_attr( $color_1 ); ?> <?php echo esc_attr( $color_2 ); ?>">
                <span style="border-color: <?php echo esc_attr( $color_1 ); ?> <?php echo esc_attr( $color_1 ); ?> <?php echo esc_attr( $color_1 ); ?> <?php echo esc_attr( $color_2 ); ?>"></span>
                <span style="border-color: <?php echo esc_attr( $color_1 ); ?> <?php echo esc_attr( $color_1 ); ?> <?php echo esc_attr( $color_1 ); ?> <?php echo esc_attr( $color_2 ); ?>"></span>
            </div>
        </div>
    </div>
<?php } else { ?>
    <div class="cs-preloader"></div>
<?php } ?>

<div class="main-wrapper <?php echo esc_attr( $class_main_wrapper ); ?>"
     data-sound="<?php echo esc_url( get_template_directory_uri() . '/assets/audio/' ); ?>"
     data-top="<?php echo esc_attr( $mobileWidth ); ?>">
	<?php do_action( 'ono_main_header' ); ?>

