<?php
/**
 * The template for requried actions hooks.
 *
 * @package ono
 * @since 1.0
 */
add_action( 'wp_enqueue_scripts', 'ono_enqueue_scripts' );
add_action( 'wp_footer', 'ono_enqueue_main_style' );
add_action( 'widgets_init', 'ono_register_widgets' );
add_action( 'tgmpa_register', 'ono_include_required_plugins' );
define( 'CS_ACTIVE_FRAMEWORK', true );
define( 'CS_ACTIVE_METABOX', true );
define( 'CS_ACTIVE_TAXONOMY', true );
define( 'CS_ACTIVE_SHORTCODE', false );
define( 'CS_ACTIVE_CUSTOMIZE', false );
if ( ! function_exists( 'ono_enqueue_select' ) ){
	function ono_enqueue_select() {
		wp_enqueue_style( 'ono-admin-css', ONO_T_URI . '/assets/image-picker/admin.css' );
		wp_enqueue_style( 'ono-imagepicker-css', ONO_T_URI . '/assets/image-picker/image-picker.css' );
		wp_enqueue_script( 'ono-image-picker', ONO_T_URI . '/assets/image-picker/image-picker.min.js', array( 'jquery' ), false, true );
	}
}
/*
 * Register sidebar.
 */
if ( ! function_exists( 'ono_register_widgets' ) ) {
	function ono_register_widgets() {
		// register sidebars
		register_sidebar(
			array(
				'id'            => 'sidebar',
				'name'          => esc_html__( 'Sidebar', 'ono' ),
				'before_widget' => '<div id="%1$s" class="sidebar-item %2$s">',
				'after_widget'  => '</div>',
				'before_title'  => '<h5>',
				'after_title'   => '</h5>',
				'description'   => esc_html__( 'Drag the widgets for sidebars.', 'ono' )
			)
		);
		if ( function_exists( 'cs_framework_init' ) ) {
			register_sidebar(
				array(
					'id'            => 'footer_creative_sidebar',
					'name'          => esc_html__( 'Footer Creative Sidebar', 'ono' ),
					'before_widget' => '<div id="%1$s" class="sidebar-item col-xs-12 col-sm-6 col-md-4 %2$s"><div class="item-wrap">',
					'after_widget'  => '</div></div>',
					'before_title'  => '<h5>',
					'after_title'   => '</h5>',
					'description'   => esc_html__( 'Drag the widgets for sidebars.', 'ono' )
				)
			);
			register_sidebar(
				array(
					'id'            => 'footer_construct_sidebar',
					'name'          => esc_html__( 'Footer Construct Sidebar', 'ono' ),
					'before_widget' => '<div id="%1$s" class="sidebar-item sidebar-item--title-h4 col-xs-12 col-sm-6 col-md-4 %2$s"><div class="item-wrap">',
					'after_widget'  => '</div></div>',
					'before_title'  => '<h4>',
					'after_title'   => '</h4>',
					'description'   => esc_html__( 'Drag the widgets for sidebars.', 'ono' )
				)
			);
		}
	}
}
function ono_enqueue_main_style() {
	if ( is_page() || is_home() ) {
		$post_id = get_queried_object_id();
	} else {
		$post_id = get_the_ID();
	}
	wp_enqueue_style( 'ono_dynamic-css', admin_url( 'admin-ajax.php' ) . '?action=ono_dynamic_css&post=' . $post_id, array( 'ono-theme-style' ) );
}
/*
Register Fonts
*/
if ( ! function_exists( 'ono_fonts_url' ) ) {
	function ono_fonts_url() {
		$font_url = '';
		/*
		Translators: If there are characters in your language that are not supported
		by chosen font(s), translate this to 'off'. Do not translate into your own language.
		 */
		if ( 'off' !== esc_html_x( 'on', 'Google font: on or off', 'ono' ) ) {
			$fonts = array(
				'Poppins:400,400i,500,500i,600,700',
			);
			$font_url = add_query_arg( 'family',
				urlencode( implode( '|', $fonts ) . "&subset=latin,latin-ext" ), "//fonts.googleapis.com/css" );
		}
		return $font_url;
	}
}
/*
Enqueue scripts and styles.
*/
if ( ! function_exists( 'ono_font_scripts' ) ) {
	function ono_font_scripts() {
		wp_enqueue_style( 'ono-fonts', ono_fonts_url(), array(), '1.0.0' );
	}
}
/**
 * @ return null
 * @ param none
 * @ loads all the js and css script to frontend
 **/
if ( ! function_exists( 'ono_enqueue_scripts' ) ) {
	function ono_enqueue_scripts() {
		// general settings
		if ( ( is_admin() ) ) {
			return;
		}
		wp_enqueue_style( 'ono-fonts', ono_fonts_url(), array(), '1.0.0' );
		wp_enqueue_script( 'magnific', ONO_T_URI . '/assets/js/lib/magnific.min.js', '', '', true );
		wp_enqueue_script( 'modernizr', ONO_T_URI . '/assets/js/lib/modernizr-2.6.2.min.js', array( 'jquery' ), '', false );
		wp_enqueue_script( 'parallax', ONO_T_URI . '/assets/js/lib/parallax.min.js', array( 'jquery' ), '', false );
		wp_enqueue_script( 'isotope', ONO_T_URI . '/assets/js/lib/isotope.pkgd.min.js', array( 'jquery' ), '', true );
		wp_enqueue_script( 'equalheight', ONO_T_URI . '/assets/js/lib/equalheight.js', array( 'jquery' ), '', true );
		wp_enqueue_script( 'TweenMax', ONO_T_URI . '/assets/js/lib/TweenMax.min.js', '', '', true );
		wp_enqueue_script( 'fitvids', ONO_T_URI . '/assets/js/lib/jquery.fitvids.min.js', array( 'jquery' ), '', true );
		wp_enqueue_script( 'swiper', ONO_T_URI . '/assets/js/lib/swiper.min.js', array( 'jquery' ), '', true );
		wp_enqueue_script( 'justified', ONO_T_URI . '/assets/js/lib/jquery.justifiedGallery.min.js', array( 'jquery' ), '', true );
		wp_enqueue_script( 'lightgallery', ONO_T_URI . '/assets/lib/lightgallery/js/lightgallery.min.js', array( 'jquery' ), '', true );
		wp_enqueue_script( 'ono-foxlazy', ONO_T_URI . '/assets/js/lib/foxlazy.min.js', array( 'jquery' ), '', true );
		wp_enqueue_script( 'ono-script', ONO_T_URI . '/assets/js/script.js', array( 'jquery' ), '', true );
		wp_enqueue_script( 'ono-header', ONO_T_URI . '/assets/js/header.js', array( 'jquery' ), '', true );
		// add TinyMCE style
		add_editor_style();
		// including jQuery plugins
		wp_localize_script( 'jquery', 'get',
			array(
				'ajaxurl' => admin_url( 'admin-ajax.php' ),
				'siteurl' => get_template_directory_uri(),
			)
		);
		if ( is_singular() ) {
			wp_enqueue_script( 'comment-reply' );
		}
		// register style
		wp_enqueue_style( 'ono-base-style', ONO_T_URI . '/style.css' );
		wp_enqueue_style( 'magnific-popup', ONO_T_URI . '/assets/css/lib/magnific-popup.css' );
		wp_enqueue_style( 'lightgallery', ONO_T_URI . '/assets/lib/lightgallery/css/lightgallery.min.css' );
		wp_enqueue_style( 'bootstrap', ONO_T_URI . '/assets/css/lib/bootstrap.min.css' );
		wp_enqueue_style( 'swiper', ONO_T_URI . '/assets/css/lib/swiper.css' );
		wp_enqueue_style( 'justified', ONO_T_URI . '/assets/css/lib/justifiedGallery.min.css' );
		wp_enqueue_style( 'font-awesome-style', ONO_T_URI . '/assets/css/font-awesome.min.css' );
		wp_enqueue_style( 'ionicons', ONO_T_URI . '/assets/css/ionicons.min.css' );
		wp_enqueue_style( 'linea_basic', ONO_T_URI . '/assets/css/linea_basic.css' );
		wp_enqueue_style( 'ono-general-style', ONO_T_URI . '/assets/css/general-styles.min.css' );
		wp_enqueue_style( 'ono-buttons', ONO_T_URI . '/assets/css/buttons.min.css' );
		wp_enqueue_style( 'ono-footer', ONO_T_URI . '/assets/css/footer.min.css' );
		wp_enqueue_style( 'ono-shop-style', ONO_T_URI . '/assets/css/shop.min.css' );
		wp_enqueue_style( 'blog-details', ONO_T_URI . '/assets/css/blog-details.min.css' );
		wp_enqueue_style( 'ono-theme-style', ONO_T_URI . '/assets/css/style.min.css' );
		if ( class_exists('booked_plugin') ) {
			wp_enqueue_style( 'ono-booked', ONO_T_URI . '/assets/css/booked.min.css' );
		}
		if ( is_404() ) {
			wp_enqueue_style( 'ono-error-page', ONO_T_URI . '/assets/css/error-page.min.css' );
		}
		/* Add Custom JS */
		if ( cs_get_option( 'custom_js_scripts' ) ) {
			wp_add_inline_script( 'ono-script', cs_get_option( 'custom_js_scripts' ) );
		}
		if ( cs_get_option( 'enable_lazy_load' ) ) {
			wp_localize_script( 'ono-main-script', 'enable_foxlazy', 'enable' );
		}
		if ( cs_get_option( 'heading' ) ) {
			foreach ( cs_get_option( 'heading' ) as $key => $title ) {
				if ( empty( $title['heading_family'] ) ) {
					continue;
				}
				$font_family = $title['heading_family'];
				if ( ! empty( $font_family['family'] ) ) {
					wp_enqueue_style( sanitize_title_with_dashes( $font_family['family'] ), '//fonts.googleapis.com/css?family=' . $font_family['family'] . ':' . $title['heading_family']['variant'] . '' );
				}
			}
		}
		// include font family
		if ( function_exists( 'ono_include_fonts' ) ) {
			ono_include_fonts(
				array(
					'menu_item_family',
					'submenu_item_family',
					'gallery_font_family',
					'all_button_font_family',
					'footer_font_family',
					'item_gallery_font_family',
				) // all options name
			);
		}
	}
}
function ono_regiser_info_icons() {
	wp_enqueue_style( 'linea_basic', ONO_T_URI . '/assets/css/linea_basic.css' );
	wp_enqueue_style( 'font-awesome-style', ONO_T_URI . '/assets/css/font-awesome.min.css' );
}
add_action( 'vc_base_register_admin_css', 'ono_regiser_info_icons' );
/**
 * Include plugins
 **/
if ( ! function_exists( 'ono_include_required_plugins' ) ) {
	function ono_include_required_plugins() {
		$plugins = array(
			array(
				'name'               => esc_html__( 'Ono Plugins', 'ono' ),
				// The plugin name
				'slug'               => 'ono-plugins',
				// The plugin slug (typically the folder name)
				'source'             => esc_url( 'https://import.foxthemes.me/plugins/ono/ono-plugins.zip' ),
				// The plugin source
				'required'           => true,
				// If false, the plugin is only 'recommended' instead of required
				'force_activation'   => false,
				// If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
				'version'            => '1.0.9',
				'force_deactivation' => false,
				// If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
				'external_url'       => '',
				// If set, overrides default API URL and points to an external URL
			),
			array(
				'name'               => esc_html__( 'Visual Composer', 'ono' ),
				// The plugin name
				'slug'               => 'js_composer',
				// The plugin slug (typically the folder name)
				'source'             => esc_url( 'https://import.foxthemes.me/plugins/premium-plugins/js_composer.zip' ),
				// The plugin source
				'required'           => true,
				// If false, the plugin is only 'recommended' instead of required
				'version'            => '',
				// E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
				'force_activation'   => false,
				// If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
				'force_deactivation' => false,
				// If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
				'external_url'       => '',
				// If set, overrides default API URL and points to an external URL
			),
			array(
				'name'               => esc_html__( 'The Grid', 'ono' ),
				// The plugin name
				'slug'               => 'the_grid',
				// The plugin slug (typically the folder name)
				'source'             => esc_url( 'https://import.foxthemes.me/plugins/premium-plugins/the_grid.zip' ),
				// The plugin source
				'required'           => true,
				// If false, the plugin is only 'recommended' instead of required
				'version'            => '',
				// E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
				'force_activation'   => false,
				// If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
				'force_deactivation' => false,
				// If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
				'external_url'       => '',
				// If set, overrides default API URL and points to an external URL
			),
			array(
				'name'               => esc_html__( 'Contact Form 7', 'ono' ),
				// The plugin name
				'slug'               => 'contact-form-7',
				// The plugin slug (typically the folder name)
				'required'           => false,
				// If false, the plugin is only 'recommended' instead of required
				'version'            => '',
				// E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
				'force_activation'   => false,
				// If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
				'force_deactivation' => false,
				// If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
				'external_url'       => '',
				// If set, overrides default API URL and points to an external URL
			),
			array(
				'name'               => esc_html__( 'UpQode Google Maps', 'ono' ),
				// The plugin name
				'slug'               => 'upqode-google-maps',
				// The plugin slug (typically the folder name)
				'source'             => esc_url( 'https://import.foxthemes.me/plugins/premium-plugins/upqode-google-maps.zip' ),
				// The plugin source (plugin path)
				'required'           => false,
				// If false, the plugin is only 'recommended' instead of required
				'version'            => '',
				// E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
				'force_activation'   => false,
				// If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
				'force_deactivation' => false,
				// If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
				'external_url'       => '',
				// If set, overrides default API URL and points to an external URL
			),
			array(
				'name'               => esc_html__( 'Woocommerce', 'ono' ),
				// The plugin name
				'slug'               => 'woocommerce',
				// The plugin slug (typically the folder name)
				'required'           => false,
				// If false, the plugin is only 'recommended' instead of required
				'version'            => '',
				// E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
				'force_activation'   => false,
				// If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
				'force_deactivation' => false,
				// If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
				'external_url'       => '',
				// If set, overrides default API URL and points to an external URL
			),
		);
		// Change this to your theme text domain, used for internationalising strings
		/**
		 * Array of configuration settings. Amend each line as needed.
		 * If you want the default strings to be available under your own theme domain,
		 * leave the strings uncommented.
		 * Some of the strings are added into a sprintf, so see the comments at the
		 * end of each line for what each argument will be.
		 */
		$config = array(
			'domain'       => 'ono',                    // Text domain - likely want to be the same as your theme.
			'default_path' => '',                            // Default absolute path to pre-packaged plugins
			'menu'         => 'tgmpa-install-plugins',    // Menu slug
			'has_notices'  => true,                        // Show admin notices or not
			'is_automatic' => true,                        // Automatically activate plugins after installation or not
			'message'      => '',                            // Message to output right before the plugins table
			'strings'      => array(
				'page_title'                      => esc_html__( 'Install Required Plugins', 'ono' ),
				'menu_title'                      => esc_html__( 'Install Plugins', 'ono' ),
				'installing'                      => esc_html__( 'Installing Plugin: %s', 'ono' ),
				// %1$s = plugin name
				'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'ono' ),
				'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'ono' ),
				// %1$s = plugin name(s)
				'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'ono' ),
				// %1$s = plugin name(s)
				'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'ono' ),
				// %1$s = plugin name(s)
				'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'ono' ),
				// %1$s = plugin name(s)
				'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'ono' ),
				// %1$s = plugin name(s)
				'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'ono' ),
				// %1$s = plugin name(s)
				'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'ono' ),
				// %1$s = plugin name(s)
				'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'ono' ),
				// %1$s = plugin name(s)
				'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'ono' ),
				'activate_link'                   => _n_noop( 'Activate installed plugin', 'Activate installed plugins', 'ono' ),
				'return'                          => esc_html__( 'Return to Required Plugins Installer', 'ono' ),
				'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'ono' ),
				'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'ono' ),
				// %1$s = dashboard link
				'nag_type'                        => 'updated'
				// Determines admin notice type - can only be 'updated' or 'error'
			)
		);
		tgmpa( $plugins, $config );
	}
}
if ( ! function_exists( 'ono_password_form' ) ) {
	function ono_password_form($post_id) {
		$o     = '<form action="' . esc_url( site_url( 'wp-login.php?action=postpass', 'login_post' ) ) . '" method="post" class="form btn-style-10">
					<h3>' . esc_html__( 'Looks like author protected this gallery.', 'ono' ) . '</h3>
					<span class="input-wrap">
						<i class="fas fa-lock icn-lock"></i>
						<input placeholder="' . esc_attr__( "Enter password here", 'ono' ) . '" name="post_password" type="password" size="20" maxlength="20" />
  				  	</span>
  				  	<span class="a-btn a-btn-12">
  				  		<input type="submit" name="' . esc_attr__( 'Submit', 'ono' ) . '" value="' . esc_attr__( 'Shop Now', 'ono' ) . '" />
  				  	</span>
				  </form>';
		return $o;
	}
}
add_filter( 'the_password_form', 'ono_password_form' );
/* For Woocommerce */
if ( ! function_exists( 'ono_add_to_cart_fragment' ) ) {
	function ono_add_to_cart_fragment( $fragments ) {
		ob_start();
		$count = WC()->cart->cart_contents_count;
		?>
		<a class="ono-shop-icon ion-bag" href="<?php echo WC()->cart->get_cart_url(); ?>"
		   title="<?php esc_attr_e( 'View your shopping cart', 'ono' ); ?>">
			<?php if ( $count > 0 ) { ?>
				<div class="cart-contents">
					<span class="cart-contents-count"><?php echo esc_html( $count ); ?></span>
				</div>
			<?php } ?>
		</a>
		<?php $fragments['a.ono-shop-icon'] = ob_get_clean();
		$fragments['div.ono_mini_cart'] = ono_mini_cart();
		return $fragments;
	}
}
add_filter( 'woocommerce_add_to_cart_fragments', 'ono_add_to_cart_fragment' );
if ( ! function_exists( 'ono_redirect_coming_soon' ) ) {
	function ono_redirect_coming_soon() {
		if ( cs_get_option( 'ono_enable_coming_soon' ) && cs_get_option( 'ono_page_coming_soon' ) && ! is_admin_bar_showing() ) {
			$redirect_permalink = get_permalink( cs_get_option( 'ono_page_coming_soon' ) );
			if ( get_permalink() != $redirect_permalink ) {
				wp_redirect( get_permalink( cs_get_option( 'ono_page_coming_soon' ) ) );
				exit();
			}
		}
	}
}
add_action( 'template_redirect', 'ono_redirect_coming_soon' );
/*
 * Check need minimal requirements (PHP and WordPress version)
 */
if ( version_compare( $GLOBALS['wp_version'], '4.3', '<' ) || version_compare( PHP_VERSION, '5.3', '<' ) ) {
	if ( ! function_exists( 'ono_requirements_notice' ) ) {
		function ono_requirements_notice() {
			$message = sprintf( esc_html__( 'Ono theme needs minimal WordPress version 4.3 and PHP 5.6<br>You are running version WordPress - %s, PHP - %s.<br>Please upgrade need module and try again.', 'ono' ), $GLOBALS['wp_version'], PHP_VERSION );
			printf( '<div class="notice-warning notice"><p><strong>%s</strong></p></div>', $message );
		}
	}
	add_action( 'admin_notices', 'ono_requirements_notice' );
}
/*
 * Check need minimal requirements (PHP and WordPress version)
 */
if ( ! function_exists( 'ono_coming_soon_notice' ) ) {
	function ono_coming_soon_notice() {
		if ( cs_get_option( 'ono_enable_coming_soon' ) ) { ?>
			<div class="notice-warning notice">
				<p>
					<strong>
						<?php echo esc_html__( 'Your "Coming Soon" option is enabled now.', 'ono' );?>
					</strong>
				</p>
			</div>
			<?php
		}
	}
}
add_action( 'admin_notices', 'ono_coming_soon_notice' );
// Add backend styles for Gutenberg.
add_action( 'enqueue_block_editor_assets', 'ono_add_gutenberg_assets' );
function ono_add_gutenberg_assets() {
	// Load the theme styles within Gutenberg.
	wp_enqueue_style( 'ono-fonts', ono_fonts_url(), array(), '1.0.0' );
	wp_enqueue_style( 'ono-gutenberg', get_theme_file_uri( '/assets/css/gutenberg-editor-style.min.css' ), false );
}
