<?php
/**
 * Index Page
 *
 * @package ono
 * @since 1.0
 *
 */
$blog_type       = cs_get_option('blog_type') ? cs_get_option('blog_type') : 'masonry';
$blog_type       = apply_filters('ono_blog_style', $blog_type);
$blog_categories = cs_get_option('blog_categories_show') && cs_get_option('blog_categories') ? cs_get_option('blog_categories') : '';

$paged = get_query_var('paged') ? absint(get_query_var('paged')) : 1;
$term  = get_query_var('s');

$args = array(
	'paged'     => $paged,
);

if ( is_search() ) {
	$args['s'] = $term;
}


$blog_categories = apply_filters('ono_blog_cat_style', $blog_categories);
if ( !empty($blog_categories) ) {
	$cats = array();
	foreach ( $blog_categories as $term_slug ) {
		$term_info = get_term_by('slug', $term_slug, 'category');
		$cats[]    = $term_info->term_id;
	}
	if ( !is_search() ) {
		$args['category__in'] = $cats;
	}
}
$posts = new WP_Query($args);

wp_localize_script(
	'jquery',
	'load_more_blog_posts',
	array(
		'ajaxurl'   => admin_url('admin-ajax.php'),
		'startPage' => $args['paged'],
		'maxPage'   => $posts->max_num_pages,
		'nextLink'  => next_posts(0, false)
	)
);

$count = isset($posts->post_count) && !empty($posts->post_count) ? $posts->post_count : '0';

$count_text = $count == '1' ? esc_html__('result found', 'ono') : esc_html__('results found', 'ono');

get_header(); ?>

<?php if ( $posts->have_posts() ) :
	get_template_part('template-parts/blog/blog', $blog_type);
	wp_enqueue_style('blog-list', ONO_T_URI . '/assets/css/blog-list.min.css');
	?>
<?php else : ?>
	<div class="search-page">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<h2 class="title"><?php esc_html_e('Sorry, no posts matched your criteria.', 'ono'); ?></h2>
					<div class="search-form form btn-style-1">
						<?php get_search_form(true); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
<?php endif;

get_footer();
