<?php
/**
 * Template Name: Full Page Template
 *
 * @package ono
 * @since   ono 1.0
 */
get_header();
while ( have_posts() ) : the_post();
	$content = get_the_content();

	// check if page build by WPBackery
	if ( !strpos($content, 'vc_') ) { ?>
		<div class="container">
			<p><?php esc_html__('Please, add some WPBackery content.', 'ono') ?></p>
		</div>
	<?php } else {

		// include necessary script and styles
		wp_enqueue_style('fullpage', ONO_T_URI . '/assets/lib/fullpage/fullpage.min.css');
		wp_enqueue_script('fullpage-scrolloverflow', ONO_T_URI . '/assets/lib/fullpage/scrolloverflow.min.js');
		wp_enqueue_script('fullpage-extensions', ONO_T_URI . '/assets/lib/fullpage/fullpage.extensions.min.js');
		wp_enqueue_script('fullpage-init', ONO_T_URI . '/assets/js/fullpage.js', array('fullpage-extensions'));

		// init variables
		$content_changed = [];
		$anchors = [];

		// split content on separate ones rows
		$split = explode('[vc_row', $content);
		array_shift($split);
		$split = array_map(function($el) {
			return '[vc_row' . $el;
		}, $split);

		// translate row id to anchors
		foreach ( $split as $key => $row  ) {
			preg_match('/ el_id=\".+?\"/', $row, $id);

			$row = str_replace($id[0], '', $row);

			$id = str_replace('el_id=','', trim($id[0]));
			$id = str_replace('"','', $id);

			$content_changed[$key]['content'] = $row;

			if ($id) {
				$content_changed[$key]['anchor'] = $id;
				$anchors[] = $id;
			}
		} ?>

		<div id="fullpage" class="fullpage" data-anchors="<?php echo esc_attr(implode(',', $anchors)); ?>">
			<?php foreach ( $content_changed as $key => $row  ) { ?>
				<div class="section " <?php echo (isset($row['anchor']) && $row['anchor']) ? 'data-anchor="' . esc_attr($row['anchor']) . '"' : ''; ?>>
					<?php echo do_shortcode($row['content']); ?>
				</div>
			<?php } ?>
			<div class="section fp-auto-height">
				<?php do_action('ono_main_footer'); ?>
			</div>
		</div>

	<?php }

endwhile; ?>

<?php get_footer(); ?>
