<?php
/**
 * Custom Page Template
 *
 * @package ono
 * @since 1.0
 *
 */

get_header();
$page_meta = get_post_meta( $post->ID, '_custom_page_options' );
$protected = '';

if ( post_password_required() ) {
	$protected = 'protected-page';
}

while ( have_posts() ) : the_post();

	$content = get_the_content();
	if ( ! strpos( $content, 'vc_' ) ) { ?>
		<div class="single-page-wrap padd-small full-height-window <?php echo esc_attr( $protected ); ?>">
			<div class="container">
				<div class="row">
					<div class="col-12">
						<div class="post-details">
							<div class="single-content ">
								<div class="single-content-wrapper">
									<div class="main-top-content margin-small">
										<?php the_title( '<h2 class="title">', '</h2>' ); ?>
									</div>
									<div class="post-content">
										<?php
										the_content();

										wp_link_pages( 'link_before=<span class="pages">&link_after=</span>&before=<div class="post-nav"> <span>' . esc_html__( "Page:", 'ono' ) . ' </span> &after=</div>' ); ?>
									</div>
									<?php if ( comments_open() ) { ?>
										<div class="comments main btn-style-1">
											<?php comments_template( '', true ); ?>
										</div>
									<?php } ?>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	<?php } else { ?>
		<?php

        if( is_page() || is_home()) {
            $post_id = get_queried_object_id();
        } else {
            $post_id = get_the_ID();
        }

        $meta_data = get_post_meta( $post_id, '_custom_page_options', true );
        $menu_main_style = cs_get_option( 'menu_style' );

        if(isset($meta_data['change_menu']) && $meta_data['change_menu'] && isset($meta_data['menu_style'])){
            $menu_main_style = $meta_data['menu_style'];
        }
        $class_container = $menu_main_style == 'static_aside' ? '-fluid' : '';

        $class_container .= !empty($page_meta[0]['disable_container_padding']) ? ' no-padd' : '';
        ?>

		<div class="hero-wrapper">
			<div class="container<?php echo esc_attr( $class_container ); ?>">
				<div class="hero">
					<?php the_content(); ?>
				</div>
			</div>
		</div>

	<?php }
endwhile;
get_footer();
