<?php
/**
 * Single portfolio
 *
 * @package ono
 * @since 1.0
 *
 */
get_header();

$protected = post_password_required() ? 'protected-page' : '';

while (have_posts()) : the_post();

	global $post;
	$portfolio_meta = get_post_meta($post->ID, 'ono_portfolio_options');
	$port_style = isset($portfolio_meta[0]['portfolio_style']) ? $portfolio_meta[0]['portfolio_style'] : 'parallax';
	wp_enqueue_style('portfolio-details', ONO_T_URI . '/assets/css/portfolio/portfolio-details.min.css');

	if ( post_password_required($post) ) {
		$protected_title = cs_get_option('portfolio_protect_title') ? cs_get_option('portfolio_protect_title') : esc_html__('Protected project', 'ono'); ?>
		<div class="portfolio-protected-page padd-small full-height-window">
			<div class="container">
				<div class="row">
					<div class="col-12">
						<h3 class="protected-title"><?php echo esc_html($protected_title); ?></h3>
						<?php the_content(); ?>
					</div>
				</div>
			</div>
		</div>
		<?php
	} else {
		if ($port_style == 'another') { ?>
			<div class="portfolio-details another sidebar-no">
				<div class="hero-wrapper">
					<div class="container">
						<div class="hero">
							<?php the_content(); ?>
						</div>
					</div>
					<?php
					if ( $portfolio_meta[0]['ono_navigation_portfolio'] ) {
						ono_portfolio_pagination();
					}
					if ( comments_open() || '0' != get_comments_number() && wp_count_comments($post->ID) ) { ?>
						<div class="container">
							<div class="comments main btn-style-1">
								<?php comments_template('', true); ?>
							</div>
						</div>
					<?php } ?>
				</div>
			</div>
		<?php } else { ?>
			<div class="portfolio-details <?php echo esc_attr($port_style); ?> sidebar-no">
				<?php get_template_part('template-parts/portfolio/portfolio', $port_style);
				wp_enqueue_style('blog-list', ONO_T_URI . '/assets/css/portfolio/portfolio-' . $port_style . '.min.css'); ?>
			</div>
		<?php }
	}

endwhile;

get_footer();
