<?php
/**
 * Custom Page Template
 *
 * @package ono
 * @since 1.0
 *
 */

get_header();
$protected = '';

if ( post_password_required() ) {
	$protected = 'protected-page';
}

while ( have_posts() ) : the_post();
	$content = get_the_content();
	if ( ! strpos( $content, 'vc_' ) ) { ?>
		<div class="single-page-wrap padd-small full-height-window <?php echo esc_attr( $protected ); ?>">
			<div class="container">
				<div class="row">
					<div class="col-12">
						<div class="post-details">
							<div class="single-content ">
								<div class="single-content-wrapper">
									<div class="main-top-content margin-small">
										<?php the_title( '<h2 class="title">', '</h2>' ); ?>
									</div>
									<div class="post-content">
										<?php
										the_content();

										wp_link_pages( 'link_before=<span class="pages">&link_after=</span>&before=<div class="post-nav"> <span>' . esc_html__( "Page:", 'ono' ) . ' </span> &after=</div>' ); ?>
									</div>
									<?php if ( comments_open() ) { ?>
										<div class="comments main btn-style-1">
											<?php comments_template( '', true ); ?>
										</div>
									<?php } ?>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	<?php } else { ?>
		<div class="hero-wrapper">
			<div class="container">
				<div class="hero">
					<?php the_content(); ?>
				</div>
			</div>
		</div>

	<?php }
endwhile;
get_footer();
