<?php
/**
 * Single
 *
 * @package ono
 * @since 1.0
 *
 */
get_header();

// protected
$protected = post_password_required() ? 'protected-page' : '';

// cs sidebar
$cs_sidebar = cs_get_option( 'sidebar' );
$cs_sidebar = get_post_type( $post->ID ) == 'whizzy_proof_gallery' ? false : $cs_sidebar;

$post_meta = get_post_meta( $post->ID, 'ono_post_options' );
$post_format = get_post_format( $post->ID );

$function_exists = function_exists( 'cs_framework_init' );
$post_preview = (isset( $post_meta[0]['post_preview_style'] ) ? $post_meta[0]['post_preview_style'] : $function_exists) ? 'image' : '';
$unitClass = !$function_exists ? 'unit' : '';

$is_sidebar = ( (!$function_exists && is_active_sidebar('sidebar')) || ( $cs_sidebar && in_array( 'post', $cs_sidebar ) ) );

$content_size_class = $is_sidebar ? 'col-lg-8' : '';
$sidebar_class      = $is_sidebar ? 'sidebar-show' : 'sidebar-no';

while ( have_posts() ) :
	the_post(); ?>

	<div class="single-page-wrap  <?php echo esc_attr($sidebar_class . ' ' . $protected); ?>">
		<div class="container">
			<div class="row">
				<div class="col-12 <?php echo esc_attr($content_size_class); ?>">
					<div class="post-details <?php echo esc_attr( 'preview-style-' . $post_preview . ' ' . $unitClass ); ?>">
						<div class="single-content">
							<div class="single-content-wrapper">
								<div class="main-top-content">
									<?php if ( ! $function_exists || cs_get_option( 'ono_post_cat' ) ) { ?>
										<div class="single-categories"><?php the_category( ', ' ); ?></div>
									<?php }
									the_title( '<h2 class="title">', '</h2>' ); ?>
									<div class="title-wrap">
										<?php if (  ! $function_exists || cs_get_option( 'ono_post_author' ) ) { ?>
											<div class="author"><?php esc_html_e( 'by ', 'ono' ); ?>
												<span><?php the_author_link(); ?></span> </div>
										<?php } ?>
										<div class="date-post"><?php the_time( get_option( 'date_format' ) ); ?></div>
									</div>
								</div>
								<?php
								if (has_post_thumbnail()) { ?>
									<div class="post-media-wrap">
										<?php if ( ( $post_preview || !$function_exists ) ) {
											if ( $post_preview != 'text' && $post_preview != 'image' && ( $post_format != 'quote' ) || $function_exists ) {
												ono_blog_item_hedeader( $post_meta, $post->ID, true );
											} else { ?>
												<div class="post-banner">
													<?php $tumb_url = get_the_post_thumbnail_url( $post->ID, 'full' );
													$post_thumbnail_id = get_post_thumbnail_id( $post->ID );
													$image_alt = get_post_meta($post_thumbnail_id, '_wp_attachment_image_alt', true);?>
													<img src="<?php echo esc_url( $tumb_url ); ?>" alt="<?php echo esc_attr($image_alt); ?>" class="">
												</div>
											<?php }
										} ?>
									</div>
								<?php }

								$excerpt = get_the_excerpt();

								if (!empty($excerpt) && has_excerpt()) {
									$first_letter = strip_tags($excerpt); ?>
									<div class="post-excerpt" data-letter="<?php echo esc_attr($first_letter[0]) ?>"><?php echo esc_html($excerpt) ?></div>
								<?php }

								$content = get_the_content();

								if (!empty($content)) { ?>
									<div class="post-content">
										<?php the_content();
										wp_link_pages( 'link_before=<span class="pages">&link_after=</span>&before=<div class="post-nav"> <span>' . esc_html__( "Page:", 'ono' ) . ' </span> &after=</div>' );
										?>
									</div>
								<?php }

								$tags = get_the_tags();
								if ( (!$function_exists || cs_get_option('ono_post_tags')) && !empty($tags) || cs_get_option('ono_post_share') ) { ?>
									<div class="post-info">
										<?php if (!empty($tags)) { ?>
											<div class="single-tags"><span><?php esc_html_e('Tags:', 'ono') ?></span><?php the_tags('', ', '); ?></div>
										<?php }
										if ( cs_get_option('ono_post_share') ) {?>
											<div class="single-share">
												<div class="share-title"><?php esc_html_e('Share:', 'ono') ?></div>
												<ul class="social-list">
													<li>
														<a href="#" data-share="http://linkedin.com/shareArticle?mini=true&amp;url=<?php esc_url(the_permalink()); ?>&amp;title=<?php echo esc_attr(urlencode(the_title('', '', false))); ?>"
														   target="_blank" class="linkedin"><i class="fab fa-linkedin-in"></i></a>
													</li>
													<li>
														<a href="#" data-share="http://twitter.com/home?status=<?php echo esc_attr(urlencode(the_title('', ' ', false))); ?><?php esc_url(the_permalink()); ?>"
														   class="twitter" target="_blank" title="<?php esc_attr_e('Tweet', 'ono'); ?>"><i class="fab fa-twitter"></i></a>
													</li>
													<li>
														<a href="#" data-share="http://www.facebook.com/sharer.php?u=<?php esc_url(the_permalink()); ?>&amp;t=<?php echo esc_attr(urlencode(the_title('', '', false))); ?>"
														   class="facebook" target="_blank"><i class="fab fa-facebook-square"></i></a>
													</li>
												</ul>
											</div>
										<?php
										} ?>
									</div>
								<?php }

								$post_author_info = cs_get_option('post_author_info');
								if ( $post_author_info ) : ?>
									<div class="post-author">
										<?php $author_first_name = get_the_author_meta('first_name');
										$author_last_name        = get_the_author_meta('last_name');
										$author_nicename         = get_the_author_meta('nicename');
										$author_bio              = get_the_author_meta('description');
										$facebook                = get_the_author_meta('facebook');
										$twitter                 = get_the_author_meta('twitter');
										$instagram               = get_the_author_meta('instagram');
										$dribbble                = get_the_author_meta('dribbble'); ?>

										<div class="post-author__avatar">
											<?php echo get_avatar( get_the_ID(), '90' ); ?>
										</div>

										<div class="post-author__content">
											<div class="post-name-wrap">
												<?php  if ( ! empty( $author_nicename ) ) : ?>
													<div class="post-author__nicename"><?php echo esc_html( $author_nicename ); ?></div>
												<?php endif;
												if ( ! empty( $author_first_name ) || ! empty( $author_last_name ) ) : ?>
													<div class="post-author__title"><?php echo esc_html( $author_first_name . ' ' . $author_last_name ); ?></div>
												<?php endif; ?>
											</div>

											<?php if ( ! empty( $author_bio ) ) : ?>
												<div class="post-author__text"><?php echo esc_html( $author_bio ); ?></div>
											<?php endif;

											if (!empty($facebook) || !empty($twitter) || !empty($instagram) || !empty($dribbble)) : ?>
												<ul class="post-author__social">
													<?php if ( ! empty( $facebook ) ) : ?>
														<li>
															<a href="<?php echo esc_url( $facebook ); ?>" target="_blank" class="post-author__social-item"><i class="fab fa-facebook-square"></i></a>
														</li>
													<?php endif;
													if ( ! empty( $twitter ) ) : ?>
														<li>
															<a href="<?php echo esc_url( $twitter ); ?>" target="_blank" class="post-author__social-item"><i class="fab fa-twitter"></i></a>
														</li>
													<?php endif;
													if ( ! empty( $instagram ) ) : ?>
														<li>
															<a href="<?php echo esc_url( $instagram ); ?>" target="_blank" class="post-author__social-item"><i class="fab fa-instagram"></i></a>
														</li>
													<?php endif;
													if ( ! empty( $dribbble ) ) : ?>
														<li>
															<a href="<?php echo esc_url( $dribbble ); ?>" target="_blank" class="post-author__social-item"><i class="fab fa-dribbble"></i></a>
														</li>
													<?php endif; ?>
												</ul>
											<?php endif; ?>
										</div>
									</div>
								<?php endif;

								$recent_posts = cs_get_option('post_recent_posts') ? cs_get_option('post_recent_posts') : false;

								if ($recent_posts) {
									$my_cat = get_query_var( 'cat' );

									$args = array(
										'posts_per_page'      => 4,
										'cat'                 => $my_cat,
										'orderby'             => 'date',
										'order'               => 'DESC',
										'ignore_sticky_posts' => true,
										'post__not_in'        => array( $post->ID )
									);

									$query = new WP_Query( $args );

									if ( $query->have_posts() ) {
										if ( function_exists( 'cs_framework_init' )){ ?>
											<div class="recent-post">
												<h3 class="recent-title"><?php esc_html_e('Recent posts', 'ono'); ?></h3>
												<div class="swiper-container"
													 data-space="30" data-autoplay="0" data-loop="0" data-speed="1000" data-center="0"
													 data-responsive="1" data-add-slides="2" data-lg-slides="2" data-md-slides="2"
													 data-sm-slides="2" data-xs-slides="1" data-lazy="1">
													<div class="swiper-wrapper">
														<?php while ( $query->have_posts() ) {
															$query->the_post();
															$imagerec = wp_get_attachment_image_url( get_post_thumbnail_id( $query->ID ), array(500, 500) );
															$categories = get_the_category($query->ID);
															$date = get_the_date(get_option( 'date_format' ), $query->ID);
															$categories_out = '';

															foreach ($categories as $key => $category) {
																$categories_out .= '<a href="' . esc_url(get_category_link( $category->term_id )) . '">' . esc_html($category->name) . '</a>';
															} ?>

															<div class="swiper-slide">
																<div class="recent-post-item swiper-lazy" <?php if (!empty($imagerec)) { ?>data-background="<?php echo esc_attr($imagerec); ?><?php } ?>">
																	<div class="swiper-lazy-preloader"></div>
																	<a href="<?php echo esc_url( get_permalink( $post->ID ) ); ?>"></a>
																	<div class="category"><?php echo wp_kses_post($categories_out); ?></div>
																	<div class="content">
																		<h6 class="recent-post-title"><?php echo esc_html( $post->post_title ); ?></h6>
																		<div class="recent-post-date"><?php echo esc_html($date); ?></div>
																	</div>
																</div>
															</div>
														<?php } ?>
													</div>
													<div class="swiper-pagination"></div>
												</div>
											</div>
										<?php }
									}
									wp_reset_postdata();
								}

								$navigation_posts = isset($post_meta[0]['ono_navigation_posts']) ? $post_meta[0]['ono_navigation_posts'] : true;

								if ( $navigation_posts ) { ?>
									<div class="single-pagination">
										<?php
										$prev_post = get_previous_post(); ?>
										<div class="pag-prev pag-nav">
											<?php if ( !empty($prev_post) ) : ?>
												<div class="pag-arrow pag-arrow--prev"><a href="<?php echo esc_url(get_permalink($prev_post)); ?>"><?php esc_html_e('Prev Post', 'ono'); ?></a></div>
												<div class="pag-post-info">
													<?php $tumb_url = get_the_post_thumbnail_url( $prev_post->ID, array(100, 100) );
													if (!empty($tumb_url)) { ?>
														<div class="pag-thumbnail">
															<a href="<?php echo esc_url(get_permalink($prev_post)); ?>">
																<?php
																$post_thumbnail_id = get_post_thumbnail_id( $prev_post->ID );
																$image_alt = get_post_meta($post_thumbnail_id, '_wp_attachment_image_alt', true);?>
																<img src="<?php echo esc_url( $tumb_url ); ?>" alt="<?php echo esc_attr($image_alt); ?>" class="s-img-switch">
															</a>
														</div>
													<?php } ?>
													<div class="pag-title">
														<a href="<?php echo esc_url(get_permalink($prev_post)); ?>" class="content">
															<?php echo get_the_title($prev_post); ?>
														</a>
													</div>
												</div>
											<?php endif; ?>
										</div>

										<div class="pag-separate"></div>

										<?php $next_post = get_next_post(); ?>
										<div class="pag-next pag-nav">
											<?php if ( !empty($next_post) ) : ?>
												<div class="pag-arrow pag-arrow--next"><a href="<?php echo esc_url(get_permalink($next_post)); ?>"><?php esc_html_e('Next Post', 'ono'); ?></a></div>
												<div class="pag-post-info">
													<div class="pag-title">
														<a href="<?php echo esc_url(get_permalink($next_post)); ?>" class="content">
															<?php echo get_the_title($next_post); ?>
														</a>
													</div>
													<?php $tumb_url = get_the_post_thumbnail_url( $next_post->ID, array(100, 100) );
													if (!empty($tumb_url)) { ?>
														<div class="pag-thumbnail">
															<a href="<?php echo esc_url(get_permalink($prev_post)); ?>">
																<?php
																$post_thumbnail_id = get_post_thumbnail_id( $next_post->ID );
																$image_alt = get_post_meta($post_thumbnail_id, '_wp_attachment_image_alt', true);?>
																<img src="<?php echo esc_url( $tumb_url ); ?>" alt="<?php echo esc_attr($image_alt); ?>" class="s-img-switch">
															</a>
														</div>
													<?php } ?>
												</div>
											<?php endif; ?>
										</div>
									</div>
								<?php } ?>
								<?php if ( comments_open() || '0' != get_comments_number() && wp_count_comments( $post->ID ) ) { ?>
									<div class="comments main btn-style-1">
										<?php comments_template( '', true ); ?>
									</div>
								<?php } ?>
							</div>
						</div>
					</div>
				</div>
			   <?php if ( (!function_exists( 'cs_framework_init' ) && is_active_sidebar('sidebar')) || ( $cs_sidebar && in_array( 'post', $cs_sidebar ) ) ) { ?>
					<div class="col-12 col-lg-4">
						<div class="ono-sidebar">
							<?php
							wp_enqueue_style( 'sidebar', ONO_T_URI . '/assets/css/sidebar.min.css' );
							if ( ! function_exists( 'dynamic_sidebar' ) || ! dynamic_sidebar( 'sidebar' ) ) { } ?>
						</div>
					</div>
				<?php } ?>
			</div>
		</div>
	</div>
<?php
endwhile;

get_footer();











