<?php
$title                 = cs_get_option('blog_title') ? cs_get_option('blog_title') : esc_html__('Blog', 'ono');
$post_size_class 	   = (!function_exists('cs_framework_init') && is_active_sidebar('sidebar')) || cs_get_option('sidebar') && in_array('blog', cs_get_option('sidebar')) ? 'col-lg-6' : 'col-lg-4';
$content_size_class    = (!function_exists('cs_framework_init') && is_active_sidebar('sidebar')) || cs_get_option('sidebar') && in_array('blog', cs_get_option('sidebar')) ? 'col-lg-8' : '';
$sidebar_class         = (!function_exists('cs_framework_init') && is_active_sidebar('sidebar')) || cs_get_option('sidebar') && in_array('blog', cs_get_option('sidebar')) ? 'sidebar-show' : 'sidebar-no';
?>

<div class="post-paper blog-masonry <?php echo esc_attr($sidebar_class); ?>">
	<div class="container">
		<div class="row">
			<div class="col-12 <?php echo esc_attr($content_size_class); ?>">
				<h3 class="page-title-blog"><?php echo esc_html($title); ?></h3>
				<div class="blog masonry">
					<div class="row js-blog-masonry">
						<?php
						while ( have_posts() ) :
							the_post();

							$post_options = get_post_meta(get_the_ID(), 'ono_post_options');
							$no_image     = '';
							if ( isset($post_options[0]['post_preview_style']) ) {
								if ( $post_options[0]['post_preview_style'] == 'text' || $post_options[0]['post_preview_style'] == 'link' ) {
									$no_image = 'no-image';
								} elseif ( $post_options[0]['post_preview_style'] == 'image' && !has_post_thumbnail() ) {
									$no_image = 'no-image';
								} elseif ( $post_options[0]['post_preview_style'] == 'slider' && !has_post_thumbnail()) {
									$images = explode( ',', $post_options[0]['post_preview_slider'] );
									if (empty($images[0])) {
										$no_image = 'no-image';
									}
								}
							} elseif ( !has_post_thumbnail() || get_post_format(get_the_ID()) == 'link' || get_post_format(get_the_ID()) == 'quote' ) {
								$no_image = 'no-image';
							}

							$format = get_post_format(get_the_ID()) == 'link' ? 'link' : '';
							$format = get_post_format(get_the_ID()) == 'quote' ? 'text' : $format;

							$format_post = isset($post_options[0]['post_preview_style']) ? $post_options[0]['post_preview_style'] : 'image';
							$preview     = isset($post_options[0]['post_preview_style']) ? $post_options[0]['post_preview_style'] : ''; ?>
							<div class="col-12 col-md-6 <?php echo esc_attr($post_size_class) ?>">
								<div <?php post_class('post format-post-' . $format_post . ' ' . $no_image ); ?>>
									<div class="post-wrap-item <?php echo esc_attr($preview . ' ' . $format); ?>">
										<?php ono_blog_item_hedeader($post_options, get_the_ID());

										if ( !($format_post == 'text' || get_post_format(get_the_ID()) == 'quote' || $format_post == 'link' || get_post_format(get_the_ID()) == 'link') ) { ?>
											<div class="info-wrap">
												<div class="info-date">
													<?php $date_day = get_the_date('d');
													$date_other = get_the_date('M Y'); ?>
                                                    <span class="date-day"><?php echo esc_html($date_day); ?></span>
                                                    <span class="date-other"><?php echo esc_html($date_other); ?></span>
												</div>
												<div class="info-description">
													<div class="category"><?php the_category(', '); ?></div>
													<h4 class="title"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title_attribute(); ?></a></h4>
												</div>
											</div>
											<?php if ($no_image) {
												$excerpt = get_the_excerpt();

												if (!empty($excerpt) && $excerpt != '&nbsp;') { ?>
													<div class="no-image-content"><?php echo wp_kses_post($excerpt); ?></div>
												<?php }
											}
										} ?>
									</div>
								</div>
							</div>

						<?php endwhile;
						wp_reset_postdata(); ?>
					</div>
				</div>
				<div class="pager-pagination pager-pagination__light">
					<?php echo paginate_links(
						array(
							'prev_text' => esc_html__('&laquo; Prev', 'ono'),
							'next_text' => esc_html__('Next &raquo;', 'ono'),
							'end_size'  => 1,
							'mid_size'  => 1,
						)
					); ?>
				</div>
			</div>
			<?php if ( (!function_exists('cs_framework_init') && is_active_sidebar('sidebar')) || (cs_get_option('sidebar') && in_array('blog', cs_get_option('sidebar'))) ) { ?>
				<div class="col-12 col-lg-4">
					<div class="sidebar ono-sidebar">
						<?php
						wp_enqueue_style( 'sidebar', ONO_T_URI . '/assets/css/sidebar.min.css' );
						if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('sidebar') ) {} ?>
					</div>
				</div>
			<?php } ?>
		</div>
	</div>
</div>


