<?php
// Classic Footer

if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}

// page options
$meta_data           = get_post_meta($post_id, '_custom_page_options', true);
$meta_data_portfolio = get_post_meta($post_id, 'ono_portfolio_options', true);
$meta_data_services = get_post_meta( $post_id, 'ono_services_options', true );


$class_footer = !empty($meta_data['fixed_transparent_footer']) || is_404() || (!empty($meta_data_portfolio['fixed_transparent_footer'])) || (!empty($meta_data_services['fixed_transparent_footer'])) ? ' fix-bottom' : '';

$enable_footer_parallax = isset($meta_data['enable_parallax_footer_page']) ? $meta_data['enable_parallax_footer_page'] : cs_get_option('enable_parallax_footer');
$enable_footer_parallax = isset($meta_data_portfolio['enable_parallax_footer_page']) ? $meta_data_portfolio['enable_parallax_footer_page'] : $enable_footer_parallax;
$enable_footer_parallax = isset($meta_data_services['enable_parallax_footer_page']) ? $meta_data_services['enable_parallax_footer_page'] : $enable_footer_parallax;

if ( function_exists('cs_framework_init') ) {
	$class_footer .= ' no-footer';
}

$enable_footer_parallax = apply_filters('ono_blog_footer_style', $enable_footer_parallax);
if ( $enable_footer_parallax ) {
	$class_footer .= ' footer-parallax';
}

$simple_bg     = cs_get_option('simple_bg');
$title         = cs_get_option('simple_f_title');
$socials_title = cs_get_option('simple_f_socials_head');
$contacts      = cs_get_option('simple_f_contacts');
$socials       = cs_get_option('simple_f_socials'); ?>

<footer id="footer" class="classic <?php echo esc_attr($class_footer); ?>">
	<?php


	if ( !empty($title) || !empty($contacts) ) { ?>
		<div class="contacts-wrap">
			<?php if ( $simple_bg ):
				echo ono_the_lazy_load_flter($simple_bg, array(
					'class' => 's-img-switch',
					'alt'   => esc_attr__('image', 'ono')
				));
			endif;

			if ( !empty($title) ) { ?>
				<!-- TITLE -->
				<div class="footer-simple-title">
					<?php echo wp_kses_post($title); ?>
				</div>
			<?php }


			if ( !empty($contacts) ) { ?>
				<!-- CONTACTS -->
				<div class="footer-contacts">

					<?php foreach ( $contacts as $item ) { ?>
						<div class="info">
							<?php if ( !empty($item['simple_f_contacts_title']) ) { ?>
								<h5 class="title"><?php echo esc_html($item['simple_f_contacts_title']); ?></h5>
							<?php }

							if ( !empty($item['simple_f_contacts_text']) ) { ?>
								<div class="text"><?php echo esc_html($item['simple_f_contacts_text']); ?></div>
							<?php } ?>
						</div>
					<?php } ?>

				</div>

			<?php } ?>
		</div>
	<?php }

	if ( !empty($socials_title) || !empty($socials) ) { ?>
		<div class="socials-wrap">
			<?php if ( !empty($socials_title) ) { ?>
				<div class="social-title">
					<?php echo esc_html($socials_title); ?>
				</div>
			<?php } ?>

			<?php if ( !empty($socials) ) { ?>
				<?php foreach ( $socials as $social ) { ?>
					<div class="info">
						<?php if ( !empty($social['simple_f_socials_title']) && !empty($social['simple_f_socials_url']) ) { ?>
							<a href="<?php echo esc_url($social['simple_f_socials_url']); ?>"
							   target="<?php echo esc_attr(isset( $social['simple_f_socials_target']) ? '_blank' : '' ); ?>"
							   class="social"><?php echo esc_html($social['simple_f_socials_title']); ?></a>
						<?php } ?>
					</div>
				<?php } ?>
			<?php } ?>
		</div>
	<?php } ?>
</footer>