<?php

//Simple Footer
if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}
// page options
$meta_data           = get_post_meta($post_id, '_custom_page_options', true);
$meta_data_portfolio = get_post_meta($post_id, 'ono_portfolio_options', true);
$meta_data_services = get_post_meta( $post_id, 'ono_services_options', true );


$class_footer = !empty($meta_data['fixed_transparent_footer']) || is_404() || (!empty($meta_data_portfolio['fixed_transparent_footer']))|| (!empty($meta_data_services['fixed_transparent_footer'])) ? ' fix-bottom' : '';

$enable_footer_copy     = isset($meta_data['enable_footer_copy_page']) ? $meta_data['enable_footer_copy_page'] : cs_get_option('enable_footer_copy');
$enable_footer_copy     = isset($meta_data_portfolio['enable_footer_copy_page']) ? $meta_data_portfolio['enable_footer_copy_page'] : $enable_footer_copy;
$enable_footer_copy     = isset($meta_data_services['enable_footer_copy_page']) ? $meta_data_services['enable_footer_copy_page'] : $enable_footer_copy;

$enable_footer_form     = isset($meta_data['enable_footer_form']) ? $meta_data['enable_footer_form'] : cs_get_option('enable_footer_form');
$enable_footer_form     = isset($meta_data_portfolio['enable_footer_form']) ? $meta_data_portfolio['enable_footer_form'] : $enable_footer_form;
$enable_footer_form     = isset($meta_data_services['enable_footer_form']) ? $meta_data_services['enable_footer_form'] : $enable_footer_form;

$enable_footer_parallax = isset($meta_data['enable_parallax_footer_page']) ? $meta_data['enable_parallax_footer_page'] : cs_get_option('enable_parallax_footer');
$enable_footer_parallax = isset($meta_data_portfolio['enable_parallax_footer_page']) ? $meta_data_portfolio['enable_parallax_footer_page'] : $enable_footer_parallax;
$enable_footer_parallax = isset($meta_data_services['enable_parallax_footer_page']) ? $meta_data_services['enable_parallax_footer_page'] : $enable_footer_parallax;

$copyright_align        = isset($meta_data['ono_copyright_align']) ? $meta_data['ono_copyright_align'] : cs_get_option('ono_copyright_align');
$copyright_align        = isset($meta_data_portfolio['ono_copyright_align']) ? $meta_data_portfolio['ono_copyright_align'] : $copyright_align;
$copyright_align        = isset($meta_data_services['ono_copyright_align']) ? $meta_data_services['ono_copyright_align'] : $copyright_align;

$ono_footer_form_align  = isset($meta_data['ono_footer_form_align']) ? $meta_data['ono_footer_form_align'] : cs_get_option('ono_footer_form_align');
$ono_footer_form_align  = isset($meta_data_portfolio['ono_footer_form_align']) ? $meta_data_portfolio['ono_footer_form_align'] : $ono_footer_form_align;
$ono_footer_form_align  = isset($meta_data_services['ono_footer_form_align']) ? $meta_data_services['ono_footer_form_align'] : $ono_footer_form_align;

if ( empty($copyright_align) ) {
	$copyright_align = 'center';
}

if ( empty($ono_footer_form_align) ) {
	$ono_footer_form_align = 'center';
}

if ( function_exists('cs_framework_init') && !$enable_footer_copy && !$enable_footer_form ) {
	$footer_enable = false;
} else {
	$footer_enable = true;
}

if ( !function_exists( 'cs_framework_init')) {
	$enable_footer_copy = true;
}

$enable_footer_parallax = apply_filters('ono_blog_footer_style', $enable_footer_parallax);
if ( $enable_footer_parallax ) {
	$class_footer .= ' footer-parallax';
}

if ( $enable_footer_copy && $enable_footer_form ) {
	$copyClass         = 'col-sm-12';
	$footer_form_class = '';
} else {
	$copyClass         = '';
	$footer_form_class = ' text-center';
}

$ono_footer_color = isset($meta_data['footer_color']) ? $meta_data['footer_color'] : '';
$ono_footer_color = isset($meta_data_portfolio['footer_color']) ? $meta_data_portfolio['footer_color'] : $ono_footer_color;
$ono_footer_color = isset($meta_data_services['footer_color']) ? $meta_data_services['footer_color'] : $ono_footer_color;
$ono_footer_light = isset($meta_data['footer_light']) && $meta_data['footer_light'] ? '-light' : '';
$ono_footer_light = isset($meta_data_portfolio['footer_light']) && $meta_data_portfolio['footer_light'] ? '-light' : $ono_footer_light;
$ono_footer_light = isset($meta_data_services['footer_light']) && $meta_data_services['footer_light'] ? '-light' : $ono_footer_light;

if ( $footer_enable ) { ?>
	<footer id="footer" class="simple <?php echo esc_attr($class_footer . ' ' . $ono_footer_light); ?>"
			<?php if ($ono_footer_color) { ?>style="background-color: <?php echo esc_attr($ono_footer_color); ?>" <?php } ?>>
		<?php if ( ($enable_footer_copy == true || $enable_footer_form == true) ) { ?>
			<div class="footer-bottom-wrap">
				<div class="container">
					<div class="row align-items-center">
						<?php if ( $enable_footer_copy == true ) { ?>
							<div class="copyright col-xs-12 text-<?php echo esc_attr($copyright_align . ' ' . $copyClass); ?>">
								<?php $footer_text = cs_get_option('footer_text') ? cs_get_option('footer_text') : esc_html__(' &copy;', 'ono') . date('Y') . bloginfo('name');
								echo wp_kses_post($footer_text); ?>
							</div>
						<?php } ?>
					</div>
				</div>
			</div>
		<?php } ?>
	</footer>
<?php } ?>
