<?php
/**
 * Modern menu
 */

if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}

$fixed_menu_class = ono_fixed_header('simple', $post_id);

$meta_data           = get_post_meta( $post_id, '_custom_page_options', true );
$meta_data_portfolio = get_post_meta( $post_id, 'ono_portfolio_options', true );
$meta_data_services = get_post_meta( $post_id, 'ono_services_options', true );


$menu_align_text = cs_get_option('menu_align_text');
$menu_align_text = isset( $meta_data['menu_align_text'] ) && $meta_data['menu_align_text'] ? $meta_data['menu_align_text'] : $menu_align_text;
$menu_align_text = isset( $meta_data_portfolio['menu_align_text'] ) && $meta_data_portfolio['menu_align_text'] ? $meta_data_portfolio['menu_align_text'] : $menu_align_text;
$menu_align_text = isset( $meta_data_services['menu_align_text'] ) && $meta_data_services['menu_align_text'] ? $meta_data_services['menu_align_text'] : $menu_align_text;


// header cart
$header_cart_enable = cs_get_option( 'header_cart_enable' );
$header_cart_enable = isset( $meta_data['header_cart_enable'] ) && $meta_data['header_cart_enable'] ? $meta_data['header_cart_enable'] : $header_cart_enable;
$header_cart_enable = isset( $meta_data_portfolio['header_cart_enable'] ) && $meta_data_portfolio['header_cart_enable'] ? $meta_data_portfolio['header_cart_enable'] : $header_cart_enable;
$header_cart_enable = isset( $meta_data_services['header_cart_enable'] ) && $meta_data_services['header_cart_enable'] ? $meta_data_services['header_cart_enable'] : $header_cart_enable;

$header_cart_position = '';
if ($header_cart_enable) {
	$header_cart_position = cs_get_option('header_cart_position');
	$header_cart_position = isset( $meta_data['header_cart_position'] ) && $meta_data['header_cart_position'] ? $meta_data['header_cart_position'] : $header_cart_position;
	$header_cart_position = isset( $meta_data_portfolio['header_cart_position'] ) && $meta_data_portfolio['header_cart_position'] ? $meta_data_portfolio['header_cart_position'] : $header_cart_position;
	$header_cart_position = isset( $meta_data_services['header_cart_position'] ) && $meta_data_services['header_cart_position'] ? $meta_data_services['header_cart_position'] : $header_cart_position;
}

$img_menu = cs_get_option('img_mega_menu');
?>

<div class="header_top_bg <?php echo esc_attr( $fixed_menu_class ) ?>" >
	<div class="container-fluid">
		<div class="row">
			<div class="col-12">

				<!-- HEADER -->
				<header class="right-menu simple" data-img-url="<?php echo esc_url($img_menu)?>">

					<!-- MOB MENU ICON -->
					<a href="#" class="mob-nav">
						<div class="hamburger">
							<span class="line"></span>
							<span class="line"></span>
							<span class="line"></span>
						</div>
					</a>
					<!-- /MOB MENU ICON -->
					<div class="logo-mobile"><?php ono_site_logo(); ?></div>
					<!-- NAVIGATION -->
					<nav id="topmenu" class="topmenu <?php echo esc_attr($menu_align_text)?>">
						<a href="#" class="mob-nav-close">
							<span><?php esc_html_e( 'close', 'ono' ); ?></span>
							<div class="hamburger">
								<span class="line"></span>
								<span class="line"></span>
							</div>
						</a>
						<?php ono_site_logo(); ?>
						<?php ono_custom_menu(); ?>
						<div class="search-icon-wrapper">
							<?php if ($header_cart_position == 'left') {
								if ( function_exists('WC') ) {
									if ( in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins'))) ) {
										$count = WC()->cart->cart_contents_count; ?>
										<div class="mini-cart-wrapper">
											<a class="ono-shop-icon"
											   href="<?php echo wc_get_cart_url(); ?>"
											   title="<?php esc_attr_e('View your shopping cart', 'ono'); ?>">
												<?php if ( $count > 0 ) { ?>
													<span class="cart-contents">
													<span class="cart-contents-count"><?php echo esc_html($count); ?></span>
												</span>
												<?php } ?>
											</a>
											<?php echo ono_mini_cart(); ?>
										</div>
									<?php }
								}
							} ?>
							<i class="fas fa-search open-search"></i>
							<?php do_action( 'ono_after_footer' ); ?>
                        </div>
					</nav>
					<!-- NAVIGATION -->
				</header>
			</div>
		</div>
	</div>
</div>
