<?php
/**
 * Static animation menu
 */

if ( is_page() || is_home() ) {
	$post_id = get_queried_object_id();
} else {
	$post_id = get_the_ID();
}
$meta_data = get_post_meta( $post_id, '_custom_page_options', true );
$meta_data_portfolio = get_post_meta( $post_id, 'ono_portfolio_options', true );
$meta_data_services = get_post_meta( $post_id, 'ono_services_options', true );


$copy_text      = cs_get_option( 'menu_copy' ) ? cs_get_option( 'menu_copy' ) : '';

$links = cs_get_option( 'header_social' );

$animation = cs_get_option( 'menu_animation' );
$animation = isset( $meta_data['menu_animation'] ) && $meta_data['menu_animation'] ? $meta_data['menu_animation'] : $animation;
$animation = isset( $meta_data_portfolio['menu_animation'] ) && $meta_data_portfolio['menu_animation'] ? $meta_data_portfolio['menu_animation'] : $animation;
$animation = isset( $meta_data_services['menu_animation'] ) && $meta_data_services['menu_animation'] ? $meta_data_services['menu_animation'] : $animation;
$animation = $animation ? 'js-cs-animation' : '';
$animation_style = cs_get_option( 'animation_header_style' );

$menu_bg = cs_get_option( 'menu_bg' );
$menu_bg = isset( $meta_data['menu_bg'] ) && $meta_data['menu_bg'] ? $meta_data['menu_bg'] : $menu_bg;
$menu_bg = isset( $meta_data_portfolio['menu_bg'] ) && $meta_data_portfolio['menu_bg'] ? $meta_data_portfolio['menu_bg'] : $menu_bg;
$menu_bg = isset( $meta_data_services['menu_bg'] ) && $meta_data_services['menu_bg'] ? $meta_data_services['menu_bg'] : $menu_bg;

$menu_bg_enable = cs_get_option( 'menu_bg_enable' );
$menu_bg_enable = isset( $meta_data['menu_bg_enable'] ) && $meta_data['menu_bg_enable'] ? $meta_data['menu_bg_enable'] : $menu_bg_enable;
$menu_bg_enable = isset( $meta_data_portfolio['menu_bg_enable'] ) && $meta_data_portfolio['menu_bg_enable'] ? $meta_data_portfolio['menu_bg_enable'] : $menu_bg_enable;
$menu_bg_enable = isset( $meta_data_services['menu_bg_enable'] ) && $meta_data_services['menu_bg_enable'] ? $meta_data_services['menu_bg_enable'] : $menu_bg_enable;
$menu_bg_enable = !empty($menu_bg) ? $menu_bg_enable : false;

$fixed_menu_class = ono_fixed_header( 'static_animation', $post_id ); ?>

<div class="header_top_bg <?php echo esc_attr( $fixed_menu_class ) ?>">
	<div class="container-fluid">
		<div class="row">
			<div class="col-12">

				<!-- HEADER -->
				<header class="right-menu aside-animation static">
					<!-- LOGO -->
					<?php ono_site_logo(); ?>
					<!-- /LOGO -->

					<!-- MOB MENU ICON -->
					<a href="#" class="mob-nav">
						<div class="hamburger">
							<span class="line"></span>
							<span class="line"></span>
							<span class="line"></span>
						</div>
					</a>
					<!-- /MOB MENU ICON -->

					<!-- NAVIGATION -->

					<nav id="topmenu" class="topmenu topmenu-arrow <?php echo esc_attr($animation); ?>" <?php if ($menu_bg_enable) { ?>style="background-image: url(<?php echo esc_url($menu_bg); ?>)"<?php } ?>>
						<a href="#" class="mob-nav-close">
							<span><?php esc_html_e( 'close', 'ono' ); ?></span>
							<div class="hamburger">
								<span class="line"></span>
								<span class="line"></span>
							</div>
						</a>

						<?php ono_custom_menu(); ?>

						<div class="f-right">
							<!-- FILTER -->
							<div class="desc-filter">
							<span class="filter open">
								<i class="fas fa-filter"></i>Filter
							</span>
							</div>
							<div>
							<div class="ono-top-social">
								<?php $links = cs_get_option( 'header_social' );
								if ( ! empty( $links ) ) { ?>
									<ul class="social">
										<?php foreach ( cs_get_option( 'header_social' ) as $link ) { ?>
											<li>
												<a href="<?php echo esc_url( $link['header_social_link'] ); ?>"
												   target="_blank">
													<i class="<?php echo esc_attr( $link['header_social_icon'] ); ?>"></i>
												</a>
											</li>
										<?php } ?>
									</ul>
								<?php } ?>
							</div>
							<div class="copy">
								<?php echo wp_kses_post( $copy_text ); ?>
							</div>
							</div>
						</div>

					</nav>
					<!-- MOBILE  FILTER -->
					<div class="mob-filter">
								<span class="filter open">
									<i class="fas fa-filter"></i>
								</span>
					</div>
					<!-- NAVIGATION -->
				</header>
			</div>
		</div>
	</div>
</div>
