<?php
global $post;

$portfolio_meta = get_post_meta($post->ID, 'ono_portfolio_options');

$size_images = 'full';
if ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 1 ) {
	$size_images = 'thumbnail';
} elseif ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 2 ) {
	$size_images = 'medium';
} elseif ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 3 ) {
	$size_images = 'medium_large';
} elseif ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 4 ) {
	$size_images = 'large';
}

$social_option = isset($portfolio_meta[0]['ono_social_portfolio']) ? $portfolio_meta[0]['ono_social_portfolio'] : '';
$images        = !empty($portfolio_meta[0]['slider']) ? explode(',', $portfolio_meta[0]['slider']) : ''; ?>
	<div class="banner-wrap row full-height-window-hard">
		<div class="categories"><?php the_terms(get_the_ID(), 'portfolio-category'); ?></div>
		<?php the_title('<h3 class="title">', '</h3>');
		if ( get_post_thumbnail_id(get_the_ID()) ) {
			$image_id   = get_post_thumbnail_id(get_the_ID());
			$url        = wp_get_attachment_image_url($image_id, 'full');
			$attachment = get_post($image_id);
			$title = isset($attachment->post_excerpt) ? $attachment->post_excerpt : '';
			echo ono_the_lazy_load_flter($url, array(
				'class' => 's-img-switch',
				'alt'   => $title
			));
		} ?>
	</div>
	<div class="wrap-gallery">
	<div class="gallery-wrap-main light-gallery portfolio-izotope-container adjusted_grid">
		<div class="grid-sizer"></div>
		<div class="gutter"></div>
		<?php
		if ( !empty($images) ) {
			foreach ( $images as $image ) {
				$url_left      = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'large' ) : '';
				$url_left_full = ( ! empty( $image ) && is_numeric( $image ) ) ? wp_get_attachment_image_url( $image, 'full' ) : '';
				$attachment = get_post($image);
				//$title      = $attachment->post_excerpt;
                if ($attachment) {
				$title = $attachment->post_excerpt;
				} else {
					// Handle the case where $attachment is null, e.g., provide a default value or log an error.
					$title = "Default Title";
				}				
				?>

				<div class="img-list-gallery item">
					<a href="<?php echo esc_url( $url_left_full ); ?>" class="gallery-item">
						<img src="<?php echo esc_url( $url_left ); ?>" alt="<?php echo esc_attr( $title ); ?>">
						<div class="img-title">
							<span><?php echo esc_html($title); ?></span>
						</div>
					</a>
				</div>
			<?php }
		} ?>
	</div>
	</div>

<?php
