<?php
global $post;

$portfolio_meta = get_post_meta($post->ID, 'ono_portfolio_options');

$size_images = 'full';
if ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 1 ) {
	$size_images = 'thumbnail';
} elseif ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 2 ) {
	$size_images = 'medium';
} elseif ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 3 ) {
	$size_images = 'medium_large';
} elseif ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 4 ) {
	$size_images = 'large';
}
$parallax_mobile = $portfolio_meta[0]['parallax_mobile'];
$parallaxMobile  = ($parallax_mobile) ? 'data-ios-disabled=false data-android-disabled=false' : '';
$social_option = isset($portfolio_meta[0]['ono_social_portfolio']) ? $portfolio_meta[0]['ono_social_portfolio'] : '';
$items        = !empty($portfolio_meta[0]['creative_section']) ? $portfolio_meta[0]['creative_section'] : '';
if ( !empty($items) ) {
	if ( get_post_thumbnail_id(get_the_ID()) ) {
	$image_id   = get_post_thumbnail_id(get_the_ID());
	$url        = wp_get_attachment_image_url($image_id, 'full');
	$attachment = get_post($image_id);
	$title      = $attachment->post_excerpt;

} ?>


	<div class="parallax-window full-height-window" data-parallax="scroll" data-position-Y="top"
			 data-image-src="<?php echo esc_url($url) ?>" <?php echo esc_attr($parallaxMobile); ?>>
		<div class="banner-wrap full-height-window ">
			<div class="categories"><?php the_terms(get_the_ID(), 'portfolio-category'); ?></div>
			<?php the_title('<h3 class="title">', '</h3>'); ?>
		</div>
	</div>

	<?php foreach ( $items as $count => $item ) {
		$url_size = (is_numeric($item['slider']) && !empty($item['slider'])) ? wp_get_attachment_image_src($item['slider'], $size_images) : '';

		$subtitle     = $item['parallax_subtitle'];
		$title     = $item['parallax_title'];
		$text     = $item['parallax_text'];
		$lists     =  explode(",", $item['parallax_list']);
		$position    = $item['content_position'];		?>

		<div class="parallax-window height-window-hard" data-parallax="scroll" data-position-Y="top"
			 data-image-src="<?php echo esc_url($item['slider']); ?>" <?php echo esc_attr($parallaxMobile); ?>>
			<?php if(!empty($title)){ ?>

				<div class="content-parallax <?php echo esc_attr($position)?>">
					<?php if(!empty($subtitle)){ ?>
						<div class="subtitle"><?php echo esc_html($subtitle)?></div>
					<?php }?>
					<?php if(!empty($title)){ ?>
						<div class="title"><?php echo esc_html($title)?></div>
					<?php }?>
					<?php if(!empty($text)){ ?>
						<div class="text"><?php echo esc_html($text)?></div>
					<?php }
					?>
					<?php if(!empty($lists) && !empty($lists[0])){ ?>
						<div class="lists">
							<ul>
								<?php foreach ( $lists as $count => $list ) {
									$list = !empty($list) ? $list : ""
									?>
									<li class="list-item"><?php echo esc_html($list)?></li>
								<?php  $count++;
								}?>
							</ul>
						</div>
					<?php }?>
				</div>
			<?php }?>
		</div>

		<?php
		$count++;
	}
}

if ( $portfolio_meta[0]['ono_navigation_portfolio'] ) {
	ono_portfolio_pagination();
}
