<?php
global $post;

$portfolio_meta = get_post_meta($post->ID, 'ono_portfolio_options');

$size_images = 'full';
if ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 1 ) {
	$size_images = 'thumbnail';
} elseif ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 2 ) {
	$size_images = 'medium';
} elseif ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 3 ) {
	$size_images = 'medium_large';
} elseif ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 4 ) {
	$size_images = 'large';
}

$social_option = isset($portfolio_meta[0]['ono_social_portfolio']) ? $portfolio_meta[0]['ono_social_portfolio'] : '';
$images        = !empty($portfolio_meta[0]['slider']) ? explode(',', $portfolio_meta[0]['slider']) : '';

$images_info        = !empty($portfolio_meta[0]['simple_img']) ? ($portfolio_meta[0]['simple_img']) : '';
$images_info_alt = (!empty($portfolio_meta[0]['simple_img']) && is_numeric($portfolio_meta[0]['simple_img'])) ? get_post_meta($portfolio_meta[0]['simple_img'], '_wp_attachment_image_alt', true) : '';
$add_images_info        = !empty($portfolio_meta[0]['add_simple_img']) ? ( $portfolio_meta[0]['add_simple_img']) : '';
$add_images_info_alt = (!empty($portfolio_meta[0]['simple_img']) && is_numeric($portfolio_meta[0]['simple_img'])) ? get_post_meta($portfolio_meta[0]['simple_img'], '_wp_attachment_image_alt', true) : '';

$info_title = $portfolio_meta[0]['simple_title'];
$info_text = $portfolio_meta[0]['simple_text'];
$add_info_title = $portfolio_meta[0]['add_simple_title'];
$add_info_text = $portfolio_meta[0]['add_simple_text'];
$quote = $portfolio_meta[0]['simple_quote'];

$visualization = $portfolio_meta[0]['visualization'];
$director      = $portfolio_meta[0]['director'];
$location      = $portfolio_meta[0]['location'];
$year          = $portfolio_meta[0]['year'];?>

	<div class="banner-wrap full-height-window ">
		<div class="categories"><?php the_terms(get_the_ID(), 'portfolio-category'); ?></div>
		<?php the_title('<h3 class="title">', '</h3>');

		if ( get_post_thumbnail_id(get_the_ID()) ) {
			$image_id   = get_post_thumbnail_id(get_the_ID());
			$url        = wp_get_attachment_image_url($image_id, 'full');
			$attachment = get_post($image_id);
			$title      = $attachment->post_excerpt;

			echo ono_the_lazy_load_flter($url, array(
				'class' => 's-img-switch',
				'alt'   => $title
			));
		} ?>
		<div class="text"><?php echo implode(' ', array_slice(explode(' ', get_the_content()), 0, 55)); ?></div>
			<div class=" simple__info">
				<div class=" simple__info-wrap">
				<?php if ( !empty($year) ) { ?>
					<div class="simple__info-item	">
						<div class="simple__info-title">Year</div>
						<div class="simple__info-text"><?php echo wp_kses_post($year); ?></div>
					</div>
				<?php } ?>
				<?php if ( !empty($location) ) { ?>
					<div class="simple__info-item">
						<div class="simple__info-title">Location</div>
						<div class="simple__info-text"><?php echo wp_kses_post($location); ?></div>
					</div>
				<?php } ?>
				<?php if ( !empty($director) ) { ?>
					<div class="simple__info-item">
						<div class="simple__info-title">Creative Director</div>
						<div class="simple__info-text"><?php echo wp_kses_post($director); ?></div>
					</div>
				<?php } ?>
				<?php if ( !empty($visualization) ) { ?>
					<div class="simple__info-item">
						<div class="simple__info-title">Visualization</div>
						<div class="simple__info-text"><?php echo wp_kses_post($visualization); ?></div>
					</div>
				<?php } ?>
			</div>
		</div>
	</div>

<div class="info-block content-width-xl-70 content-width-lg-80 content-width-md-90 content-width-sm-100 padding-lg-110t padding-md-90t padding-sm-70t padding-xs-50t">
	<div class="info-block-wrap  classic list margin-lg-100b margin-md-80b margin-sm-60b margin-xs-50b">
		<div class="info-block-wrap__content-wrap" >
			<div class="info-block-wrap__img-wrap">
				<?php
				if ( !empty($add_images_info)) {
					if ( $add_images_info ) :
						echo ono_the_lazy_load_flter($add_images_info, array(
							'alt'   => $add_images_info_alt
						));
					endif;
				} ?>
			</div>
			<div class="info-block-wrap__content">
				<?php if(!empty($info_title)){ ?>
					<div class="info-block-wrap__title-wrap">
						<h3 class="info-block-wrap__title"><?php echo wp_kses_post($info_title); ?></h3>
					</div>
				<?php } ?>
				<?php if(!empty($info_text)){ ?>
					<div class="info-block-wrap__desc"><?php echo wp_kses_post($info_text)?></div>
				<?php } ?>
			</div>
		</div>
	</div>

	<div class="info-block-wrap right classic list ">
		<div class="info-block-wrap__content-wrap" >
			<div class="info-block-wrap__img-wrap">
				<?php
				if ( !empty($images_info)) {
					if ( $images_info ) :
						echo ono_the_lazy_load_flter($images_info, array(
							'alt'   => $images_info_alt
						));
					endif;
				} ?>
			</div>
			<div class="info-block-wrap__content">
				<?php if(!empty($add_info_title)){ ?>
					<div class="info-block-wrap__title-wrap">
						<h3 class="info-block-wrap__title"><?php echo wp_kses_post($add_info_title); ?></h3>
					</div>
				<?php } ?>
				<?php if(!empty($add_info_text)){ ?>
					<div class="info-block-wrap__desc"><?php echo wp_kses_post($add_info_text)?></div>
				<?php } ?>
			</div>
		</div>
	</div>
</div>

<div class="gallery-wrap-main light-gallery padding-lg-150t padding-md-120t padding-sm-70t padding-xs-50t">
	<?php
	if ( !empty($images) ) {
		foreach ( $images as $image ) {
			$url        = (is_numeric($image) && !empty($image)) ? wp_get_attachment_url($image) : '';
			$attachment = get_post($image);
			$title      = $attachment->post_excerpt;
			if ( !empty($url) ) { ?>
				<a href="<?php echo esc_url($url); ?>" class="gallery-item">
					<img src="<?php echo esc_url($url); ?>" alt="<?php echo esc_attr($title); ?> " class="s-img-switch">
				</a>
			<?php }
		}
	} ?>
</div>

<?php if(!empty($quote)){ ?>
	<div class="quote"><?php echo wp_kses_post($quote)?></div>
<?php } ?>