<?php global $post;

$portfolio_meta = get_post_meta($post->ID, 'ono_portfolio_options');

$size_images = 'full';
if ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 1 ) {
	$size_images = 'thumbnail';
} elseif ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 2 ) {
	$size_images = 'medium';
} elseif ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 3 ) {
	$size_images = 'medium_large';
} elseif ( isset($portfolio_meta[0]['portfolio_img_size']) && $portfolio_meta[0]['portfolio_img_size'] == 4 ) {
	$size_images = 'large';
}

$social_option = isset($portfolio_meta[0]['ono_social_portfolio']) ? $portfolio_meta[0]['ono_social_portfolio'] : '';
$images        = !empty($portfolio_meta[0]['slider']) ? explode(',', $portfolio_meta[0]['slider']) : '';

$subtitle      = $portfolio_meta[0]['recent_subtitle'];
$visualization = $portfolio_meta[0]['visualization'];
$director      = $portfolio_meta[0]['director'];
$location      = $portfolio_meta[0]['location'];
$year          = $portfolio_meta[0]['year'];
$add_text      = $portfolio_meta[0]['additional_text'];
$add_title     = $portfolio_meta[0]['recent_title']; ?>

	<div class="banner-wrap full-height-window">
		<div class="categories"><?php the_terms(get_the_ID(), 'portfolio-category'); ?></div>
		<?php the_title('<h3 class="title">', '</h3>');

		if ( get_post_thumbnail_id(get_the_ID()) ) {
			$image_id   = get_post_thumbnail_id(get_the_ID());
			$url        = wp_get_attachment_image_url($image_id, 'full');
			$attachment = get_post($image_id);
			$title      = $attachment->post_excerpt;

			echo ono_the_lazy_load_flter($url, array(
				'class' => 's-img-switch',
				'alt'   => $title
			));
		}
		?>
	</div>
<div class="container ">
	<div class="row splitted_screen__wrap">
		<div class="col-md-5">
			<?php if ( !empty($subtitle) ) { ?>
			<div class="">
				<div class="col-xs-12">
					<div class="splitted_screen__subtitle"><?php echo esc_html($subtitle); ?></div>
				</div>
			</div>
			<?php } ?>

			<?php if ( !empty($add_title) ) { ?>
				<div class="">
					<div class="col-xs-12">
						<div class="splitted_screen__title"><?php echo esc_html($add_title); ?></div>
					</div>
				</div>
			<?php } ?>
			<?php if ( !empty($add_text) ) { ?>
				<div class="">
					<div class="col-xs-12">
						<div class="splitted_screen__text"><?php echo wp_kses_post($add_text); ?></div>
					</div>
				</div>
			<?php } ?>
			<div class=" splitted_screen__info">
				<div class="col-xs-12">

					<?php if ( !empty($year) ) { ?>
						<div class="splitted_screen__info-wrap	">
							<div class="splitted_screen__info-title">Year</div>
							<div class="splitted_screen__info-text"><?php echo wp_kses_post($year); ?></div>
						</div>
					<?php } ?>
					<?php if ( !empty($location) ) { ?>
						<div class="splitted_screen__info-wrap">
							<div class="splitted_screen__info-title">Location</div>
							<div class="splitted_screen__info-text"><?php echo wp_kses_post($location); ?></div>
						</div>
					<?php } ?>
					<?php if ( !empty($director) ) { ?>
						<div class="splitted_screen__info-wrap">
							<div class="splitted_screen__info-title">Creative Director</div>
							<div class="splitted_screen__info-text"><?php echo wp_kses_post($director); ?></div>
						</div>
					<?php } ?>
					<?php if ( !empty($visualization) ) { ?>
						<div class="splitted_screen__info-wrap">
							<div class="splitted_screen__info-title">Visualization</div>
							<div class="splitted_screen__info-text"><?php echo wp_kses_post($visualization); ?></div>
						</div>
					<?php } ?>
				</div>
			</div>
			<div class="">
				<div class="col-xs-12">
					<?php
					if ( cs_get_option('social_portfolio') ) {
						if ( !empty($social_option) ) { ?>
							<div class="single-share">
								<div class="splitted_screen__icon-title">Share project</div>
								<div class="ft-part">
									<?php if ( function_exists('ono_showcase_share') ) { ?>
										<div class="cs-showcase-info__share"><?php ono_showcase_share(); ?></div>
									<?php } ?>
								</div>
							</div>
						<?php }
					}
					?>
				</div>
			</div>
		</div>
		<div class="col-md-7 ">
			<div class="gallery-wrap-main light-gallery portfolio-izotope-container">
				<div class="grid-sizer"></div>
				<?php
				if ( !empty($images) ) {
					foreach ( $images as $image ) {
						$url        = (is_numeric($image) && !empty($image)) ? wp_get_attachment_url($image) : '';
						$url_size   = (is_numeric($image) && !empty($image)) ? wp_get_attachment_image_src($image, $size_images) : '';
						$attachment = get_post($image);
						$title      = $attachment->post_excerpt; ?>
						<a href="<?php echo esc_url($url); ?>" class="gallery-item">
							<div>
								<?php echo ono_the_lazy_load_flter($url, array(
									'class' => 's-img-switch',
									'alt'   => $title
								)); ?>
							</div>
						</a>
					<?php }
				} ?>
			</div>
		</div>
	</div>
</div>